Package Details: ocaml-ppx_deriving-git 20191107-1

Git Clone URL: https://aur.archlinux.org/ocaml-ppx_deriving-git.git (read-only, click to copy)
Package Base: ocaml-ppx_deriving-git
Description: Type-driven code generation for OCaml >=4.02
Upstream URL: https://github.com/ocaml-ppx/ppx_deriving
Licenses: MIT
Conflicts: ocaml-ppx_deriving
Provides: ocaml-ppx_deriving
Submitter: soimort
Maintainer: soimort (crave)
Last Packager: soimort
Votes: 0
Popularity: 0.000000
First Submitted: 2018-05-18 21:47
Last Updated: 2019-12-14 13:04

Required by (7)

Sources (1)

Latest Comments

Poscat commented on 2020-02-11 03:47

According to Arch VCS packaging guidelines all -git packages should add git to makedepends.

soimort commented on 2019-12-14 13:12

Thanks. Fixed.

metafex commented on 2019-12-11 11:59

It seems like it's missing ocaml-ppxfind-git as a make dependency, because without it, it throws a bunch of errors like this:

File "src/api/dune", line 5, characters 26-33:
5 |  (preprocess (action (run ppxfind -legacy ppx_tools.metaquot --as-pp %{input-file})))
                              ^^^^^^^
Error: Program ppxfind not found in the tree or in PATH